%map = (
	"coding" => 5,
	"3'utr" => 6,
	"5'utr" => 7,
	"intron" => 8,
	"miRNA" => 9
);
while( <STDIN> ) {
	chomp $_;
	my @line = split(/\,/, "chr".$_);
	if( $_ !~ /^Chr,/ ) {
		
		for( my $i = 0; $i < @line; $i++ ) {
			if( $i < 4 || $i > 11 ) { print "$line[$i],"; }
			$line[$i] =~ s/\+//g;
		}
		if( $line[4] eq "intergenic" or $line[4] eq "no annotation" ) {
			print "Intergenic,NA,NA\n";
		} else {
			print "$line[4],";
			if( length($line[$map{$line[4]}]) > 0 && exists($map{$line[4]}) ) { 
				print "$line[$map{$line[4]}],"; 
				if( length($line[11]) > 0 ) { print "$line[11]\n"; }
				else{ print "UNKNOWN\n"; }
			}
			else { print "UNKNOWN,UNKOWN\n"; }
		}
	} elsif( length($_) > 0 ) {
		print "Chromosome,Strand,Start,End";
		for( my $i = 12; $i < @line; $i++ ) { print ",$line[$i]"; }
		print ",TranscriptLocation,TranscriptID,GeneName\n";
	}
}
close STDIN;
